// Copyright (C) 2024  Umorpha Systems
// SPDX-License-Identifier: AGPL-3.0-or-later

package leader

import (
	"path/filepath"

	"git.mothstuff.lol/lukeshu/eclipse/lib/gitcache"
)

func (cfg Config) GitCache() *gitcache.Cache {
	return &gitcache.Cache{
		Dir:       filepath.Join(cfg.CacheDir, "gitcache.git"),
		MinPeriod: cfg.GitCacheFor.Duration,
	}
}
